VSTGUI: WindowControllerAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WindowControllerAdapter Class Reference
Standalone Library

Window controller adapter More...

`#include <windowcontroller.h>`

Inheritance diagram for WindowControllerAdapter:

## Public Member Functions
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed.
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed.
void | onShow (const IWindow &window) override
| Window is shown.
void | onHide (const IWindow &window) override
| Window is hidden.
void | onClosed (const IWindow &window) override
| Window is closed.
void | onActivated (const IWindow &window) override
| Window is activated.
void | onDeactivated (const IWindow &window) override
| Window is deactivated.
CPoint | constraintSize (const IWindow &window, const CPoint &newSize) override
| Constraint the size of the window.
bool | canClose (const IWindow &window) override
| Can window close?
void | beforeShow (IWindow &window) override
| Window will show.
PlatformFrameConfigPtr | createPlatformFrameConfig (PlatformType platformType) override
| Create the platform frame configuration object.
void | onSetContentView (IWindow &window, const SharedPointer< CFrame > &contentView) override
| Content view of window is changed.
const IMenuBuilder * | getWindowMenuBuilder (const IWindow &window) const override
| Get the menu builder for this window.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

Window controller adapter

## Member Function Documentation

## ◆ beforeShow()

void beforeShow | ( | IWindow & | window | ) |
| inlineoverridevirtual

Window will show.

Implements IWindowController.

## ◆ canClose()

bool canClose | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Can window close?

Implements IWindowController.

## ◆ constraintSize()

CPoint constraintSize | ( | const IWindow & | window,
|  | const CPoint & | newSize )
| inlineoverridevirtual

Constraint the size of the window.

Implements IWindowController.

## ◆ createPlatformFrameConfig()

PlatformFrameConfigPtr createPlatformFrameConfig | ( | PlatformType | platformType | ) |
| inlineoverridevirtual

Create the platform frame configuration object.

Can be nullptr.

Implements IWindowController.

## ◆ getWindowMenuBuilder()

const IMenuBuilder * getWindowMenuBuilder | ( | const IWindow & | window | ) | const
| inlineoverridevirtual

Get the menu builder for this window.

Implements IWindowController.

## ◆ onActivated()

void onActivated | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is activated.

Implements IWindowListener.

## ◆ onClosed()

void onClosed | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is closed.

Implements IWindowListener.

## ◆ onDeactivated()

void onDeactivated | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is deactivated.

Implements IWindowListener.

## ◆ onHide()

void onHide | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is hidden.

Implements IWindowListener.

## ◆ onPositionChanged()

void onPositionChanged | ( | const IWindow & | window,
|  | const CPoint & | newPosition )
| inlineoverridevirtual

Position of window is changed.

Implements IWindowListener.

## ◆ onSetContentView()

void onSetContentView | ( | IWindow & | window,
|  | const SharedPointer< CFrame > & | contentView )
| inlineoverridevirtual

Content view of window is changed.

Implements IWindowController.

## ◆ onShow()

void onShow | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is shown.

Implements IWindowListener.

## ◆ onSizeChanged()

void onSizeChanged | ( | const IWindow & | window,
|  | const CPoint & | newSize )
| inlineoverridevirtual

Size of window is changed.

Implements IWindowListener.

The documentation for this class was generated from the following file:

- windowcontroller.h